package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * IptvPortOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class IptvPortOpenApiVo   {
  @JsonProperty("portId")
  private String portId;

  @JsonProperty("name")
  private String name;

  @JsonProperty("type")
  private Integer type;

  public IptvPortOpenApiVo portId(String portId) {
    this.portId = portId;
    return this;
  }

  /**
   * Get portId
   * @return portId
  */
  @ApiModelProperty(required = true, value = "")
  @NotNull


  public String getPortId() {
    return portId;
  }

  public void setPortId(String portId) {
    this.portId = portId;
  }

  public IptvPortOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Get name
   * @return name
  */
  @ApiModelProperty(value = "")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public IptvPortOpenApiVo type(Integer type) {
    this.type = type;
    return this;
  }

  /**
   * Type should be a value as follows: 1: Internet; 2:IPTV; 3:IP-Phone
   * @return type
  */
  @ApiModelProperty(required = true, value = "Type should be a value as follows: 1: Internet; 2:IPTV; 3:IP-Phone")
  @NotNull


  public Integer getType() {
    return type;
  }

  public void setType(Integer type) {
    this.type = type;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    IptvPortOpenApiVo iptvPortOpenApiVo = (IptvPortOpenApiVo) o;
    return Objects.equals(this.portId, iptvPortOpenApiVo.portId) &&
        Objects.equals(this.name, iptvPortOpenApiVo.name) &&
        Objects.equals(this.type, iptvPortOpenApiVo.type);
  }

  @Override
  public int hashCode() {
    return Objects.hash(portId, name, type);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class IptvPortOpenApiVo {\n");
    
    sb.append("    portId: ").append(toIndentedString(portId)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

